# bigip_sys_global – Manage BIG-IP global settings

- Synopsis
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Manage BIG-IP global settings.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
banner_text string |  | Specifies the text to present in the advisory banner.
console_timeout integer |  | Specifies the number of seconds of inactivity before the system logs off a user that is logged on.

gui_setup
boolean

Choices:
- no
- yes

`yes` or `no` the Setup utility in the browser-based Configuration utility.

lcd_display
boolean

Choices:
- no
- yes

Specifies, when `yes`, that the system menu displays on the LCD screen on the front of the unit. This setting has no effect when used on the VE platform.

mgmt_dhcp
boolean

Choices:
- no
- yes

Specifies whether or not to enable DHCP client on the management interface

net_reboot
boolean

Choices:
- no
- yes

Specifies, when `yes`, that the next time you reboot the system, the system boots to an ISO image on the network, rather than an internal media drive.

provider dictionary added in 2.5 |  | A dict object containing connection details.
| auth_provider string |  | Configures the auth provider for to obtain authentication tokens from the remote device. This option is really used when working with BIG-IQ devices.
| password string / required |  | The password for the user account used to connect to the BIG-IP. You may omit this option by setting the environment variable `F5_PASSWORD`. aliases: pass, pwd
| server string / required |  | The BIG-IP host. You may omit this option by setting the environment variable `F5_SERVER`.
| server_port integer | Default: 443 | The BIG-IP server port. You may omit this option by setting the environment variable `F5_SERVER_PORT`.
| ssh_keyfile path |  | Specifies the SSH keyfile to use to authenticate the connection to the remote device. This argument is only used for cli transports. You may omit this option by setting the environment variable `ANSIBLE_NET_SSH_KEYFILE`.
| timeout integer |  | Specifies the timeout in seconds for communicating with the network device for either connecting or sending commands. If the timeout is exceeded before the operation is completed, the module will error.

transport
string

Choices:
- cli
- rest ←

Configures the transport connection to use when connecting to the remote device.

| user string / required |  | The username to connect to the BIG-IP with. This user must have administrative privileges on the device. You may omit this option by setting the environment variable `F5_USER`.

validate_certs
boolean

Choices:
- no
- yes ←

If `no`, SSL certificates are not validated. Use this only on personally controlled sites using self-signed certificates.
You may omit this option by setting the environment variable `F5_VALIDATE_CERTS`.

quiet_boot
boolean

Choices:
- no
- yes

Specifies, when `yes`, that the system suppresses informational text on the console during the boot cycle. When `no`, the system presents messages and informational text on the console during the boot cycle.

security_banner
boolean

Choices:
- no
- yes

Specifies whether the system displays an advisory message on the login screen.

state
string

Choices:
- present ←

The state of the variable on the system. When `present`, guarantees that an existing variable is set to `value`.

## Notes

Note

- For more information on using Ansible to manage F5 Networks devices see https://www.ansible.com/integrations/networks/f5.
- Requires BIG-IP software version >= 12.
- The F5 modules only manipulate the running configuration of the F5 product. To ensure that BIG-IP specific configuration persists to disk, be sure to include at least one task that uses the bigip_config module to save the running configuration. Refer to the module’s documentation for the correct usage of the module to save your running configuration.

## Examples

    - name: Disable the setup utility
      bigip_sys_global:
        gui_setup: no
        provider:
          password: secret
          server: lb.mydomain.com
          user: admin
      delegate_to: localhost

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
banner_text string | changed | The new text to present in the advisory banner. Sample: This is a corporate device. Do not touch.
console_timeout integer | changed | The new number of seconds of inactivity before the system logs off a user that is logged on. Sample: 600
gui_setup boolean | changed | The new setting for the Setup utility. Sample: True
lcd_display boolean | changed | The new setting for displaying the system menu on the LCD. Sample: True
mgmt_dhcp boolean | changed | The new setting for whether the mgmt interface should DHCP or not. Sample: True
net_reboot boolean | changed | The new setting for whether the system should boot to an ISO on the network or not. Sample: True
quiet_boot boolean | changed | The new setting for whether the system should suppress information to the console during boot or not. Sample: True
security_banner boolean | changed | The new setting for whether the system should display an advisory message on the login screen or not. Sample: True

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- Tim Rupp (@caphrim007)
- Wojciech Wypior (@wojtek0806)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.